
#ifndef __btree_h
#define __btree_h 

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

struct btree_node
	{
	char *name;
	int stamp;
	struct btree_node *left;
	struct btree_node *right;
	};

struct btree
	{
	struct btree_node *root;
	};


struct btree *tree_init(void);
void tree_destroy(struct btree *);
void tree_destroy_node(struct btree_node *);

int tree_add(struct btree *, const char *, int);
struct btree_node *tree_find(struct btree *, const char *);


#endif
